Make your first call
Once you generate your bearer token it is time to make your first API call. We will keep this simple and make a call a Search for a Company endpoint that provides the basic information for a company.
Request endpoint:
GET company/search - See Documentation for this call
Example Call:
/search/company/search?search_term=INFOCREDIT SOLUTIONS LIMITED&search_type=name&country_code=CY&limit=10&offset=0Example Query Parameters:
?search_term=INFOCREDIT SOLUTIONS LIMITED
&search_type=name
&country_code=CY
&limit=10
&offset=0Example Response:
{
"success": true,
"data": {
"items": [
{
"date_reported": "2022-02-04 00:00:00",
"company": {
"english_name": "INFOCREDIT SOLUTIONS LIMITED",
"registered_name": "INFOCREDIT SOLUTIONS LIMITED",
"type": "company",
"registration_no": "C361489",
"capital_shares_breakdown": []
},
"previous_names": [],
"status": "active",
"inactive": false,
"legal_type": [
{
"type": "limited-company",
"date_end": null,
"date_start": "2016-10-31"
}
],
"current_legal_type": {
"type": "limited-company",
"date_end": null,
"date_start": "2016-10-31"
},
"country_code": "CY",
"jurisdiction_code": "cy",
"incorporation_date": "2016-10-21",
"registered_address": {
"street_address": " ",
"locality": null,
"region": null,
"postal_code": null,
"country": null
},
"registered_address_in_full": " "
}
]
}
}In the response you should see your Client id as well as your Company Name. Note that at the end of the response there is an api_call section that should indicate that the call was successful. The api_call section will be the last element of all calls to the API4ALL endpoints.
If you do not receive the expected response double check your bearer token. If you still need further help please contact your account manager at Infocredit.
Your next steps
Now that you have successfully made your first call where to next?
For more information and examples on requesting data and reports on companies using API4ALL, checkout the Credit Risk Section.
Try it in Postman
For you testing purposes or to familiarize yourself with our API before you start your implementation you can use our Postman collection. To start using is download Postman and click the button below to import the API4All Postman collection.
Please contact us to provide you with the Collection and Environment files to try it out on Postman.
